% \usepackage[usenames,dvipsnames]{pstricks}
% \usepackage{epsfig}
% \usepackage{pst-grad} % For gradients
% \usepackage{pst-plot} % For axes
% \usepackage[space]{grffile} % For spaces in paths
% \usepackage{etoolbox} % For spaces in paths
% \makeatletter % For spaces in paths
% \patchcmd\Gread@eps{\@inputcheck#1 }{\@inputcheck"#1"\relax}{}{}
% \makeatother
% % User Packages:
% 
% 

\psscalebox{1.0 1.0} % Change this value to rescale the drawing.
{
\begin{pspicture}(0,-5.942797)(10.6,5.942797)
\definecolor{colour0}{rgb}{0.99607843,0.99607843,0.99607843}
\definecolor{colour2}{rgb}{0.6901961,0.6901961,0.6901961}
\rput{-72.59141}(2.61606,5.276299){\psframe[linecolor=black, linewidth=0.028, fillstyle=solid, dimen=outer](9.1,1.0572026)(0.7,0.6572026)}
\pscircle[linecolor=black, linewidth=0.028, fillstyle=solid, dimen=outer](6.2,-3.2427974){0.8}
\psframe[linecolor=black, linewidth=0.028, fillstyle=solid, dimen=outer](9.0,-3.2427974)(3.4,-4.442797)
\psframe[linecolor=colour0, linewidth=0.028, linestyle=dashed, dash=0.17638889cm 0.10583334cm, fillstyle=vlines, hatchwidth=0.028, hatchangle=45.0, hatchsep=0.1411111, dimen=outer](10.6,-5.2427974)(0.0,-5.942797)
\psline[linecolor=black, linewidth=0.028](0.0,-5.2427974)(10.6,-5.2427974)
\pscircle[linecolor=black, linewidth=0.028, fillstyle=solid, dimen=outer](4.6,-4.442797){0.8}
\pscircle[linecolor=black, linewidth=0.028, fillstyle=solid, dimen=outer](7.8,-4.442797){0.8}
\pscircle[linecolor=black, linewidth=0.028, fillstyle=solid,fillcolor=colour2, dimen=outer](3.5,5.1572027){0.6}
\psdots[linecolor=black, dotstyle=+, dotsize=0.4](6.2,-3.1427975)
\psdots[linecolor=black, dotsize=0.22](4.6,-4.442797)
\psdots[linecolor=black, dotsize=0.22](7.8,-4.442797)
\psarc[linecolor=black, linewidth=0.028, dimen=outer, showpoints=true, arrowsize=0.05291667cm 2.41,arrowlength=1.63,arrowinset=0.0]{->}(6.2,-3.2427974){4.3}{90.0}{107.926346}
\rput[bl](5.4588237,1.4395555){\huge $\theta$}
\psline[linecolor=black, linewidth=0.028, arrowsize=0.05291667cm 2.41,arrowlength=1.63,arrowinset=0.0]{->}(3.517647,5.2042613)(3.517647,0.79249674)
\rput[bl](2.9294116,3.0866144){\huge $P$}
\psline[linecolor=black, linewidth=0.028, arrowsize=0.05291667cm 2.41,arrowlength=1.63,arrowinset=0.0]{->}(3.4,-3.9427974)(0.8,-3.9427974)
\rput[bl](2.145098,-3.501621){\huge$F$}
\psline[linecolor=black, linewidth=0.028, arrowsize=0.05291667cm 2.41,arrowlength=1.63,arrowinset=0.0]{<->}(5.5,5.8572025)(8.2,-2.3427973)
\psline[linecolor=black, linewidth=0.01, linestyle=dashed, dash=0.17638889cm 0.10583334cm](6.161905,-3.109464)(8.257143,-2.3475592)
\psline[linecolor=black, linewidth=0.01, linestyle=dashed, dash=0.17638889cm 0.10583334cm](3.5904763,5.1762505)(5.4952383,5.938155)
\rput[bl](7.1588235,1.9395555){\huge $l$}
\end{pspicture}
}
